<?php
declare (strict_types = 1);

namespace app\admin\model;

use think\Model;

/**
 * @mixin \think\Model
 */
class Good extends Model
{
    public static $status=["待采购设置税务类目","待财务设置税务类目","税务类目设置完成"];
    public static $Tax=['','免税','不征税','零税率'];
    protected $createTime = "addtime";
    protected $updateTime = "updatetime";
    protected $append=["cgd_to_pay",'qrd_to_pay',"companyName","supplierName"];
    public function GetCgdToPayAttr($v,$row){
        $isT = CgdInfo::Where(["goodNo"=>$row["spuCode"],"status"=>1,"is_del"=>0])->findOrEmpty()->isEmpty();
        return  $isT==false;
    }
    
    public function GetQrdToPayAttr($v,$row){
        $isT = InvoiceGood::Where([['goodNo',"=",$row['spuCode']],['goodNum','>',0]])->findOrEmpty()
        ->isEmpty();
         return  $isT==false;
    }
    
     public function GetSupplierNameAttr($v,$row){
        return SupplierInfo::Where(['code'=>$row['companyNo']])->value('name','');
    }
    
     public function GetCompanyNameAttr($v,$row){
        return CompanyInfo::Where(['companyNo'=>$row['companyNo']])->value('company_name','');
    }
    
     public function GetExamInfoAttr($v){
       return $v==""?[]:json_decode($v,true);
    }
}
